<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="USER_SEARCHES_ROLE" 
Description="Роль пользовательского фильтра" 
PrimaryKey="UserSearchesRoleID">
  <Fields>
    <Attribute Name="UserSearchesRoleID" Type="guid" Description="Идентификатор" />
    <Parent Name="UserSearches" Type="VCLib.USER_SEARCHES" Description="Сохраненные фильтры пользователей" Required="1" />
    <Parent Name="Roles" Type="VCLib.ROLES" Description="Роли пользователей в системе" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_USER_SEARCHES_ROLE">
      <Map Name="UserSearchesRoleID" Column="UserSearchesRoleID" />
      <Map Name="UserSearches" Column="UserSearches" />
      <Map Name="Roles" Column="Roles" />
    </Table>
  </DbMapping>
</Entity>